{
  "openapi": "3.0.1",
  "info": {
    "title": "BizMachine API",
    "description": "# BizMachine API\n\n**Welcome to BizMachine API!**\n\nExtend your CRM with corporate data from over a hundred data sources. Leverage carefully collected, validated and updated BizMachine data. We are building the richest database of companies from the Czech Republic, Slovakia and Germany.\n\n- Current information about companies in CRM\n- Real-time market segmentation\n- Flexible connection to internal systems\n\n## Format\n\nThis API is a REST-compliant JSON API. Both request and response bodies should be formatted as valid JSON document.\n\n## Datasets\n\nIf API supports multiple datasets, a `dataset` parameter as part of the URL has to be provided.\n\nFormat of the parameter is in `ISO 3166-1 alpha-2` in lower case.\n\nExamples:\n\n- `cz` - Czech dataset\n- `sk` - Slovak dataset\n- `de` - German dataset\n\n## API Keys\n\n### Generating API Key\n\nIn order to generate an API key, please follow instructions below:\n\n1) Scroll down to list of endpoints and look for \"ApiKeys\"\n2) Select the POST endpoint `/v1/ApiKeys/otp/request`\n3) Click on `Try it out` on right-hand side and fill in your email `\"email\":\"yourEmail@address.com\"`\n4) Click on `Execute` below\n5) You receive One Time Password (OTP) in to the email address you have entered\n6) Copy the password\n7) Select second POST endpoint `/v1/ApiKeys/otp`\n8) Click on `Try it out`  on right-hand side\n9) Paste your OTP from the email into the body `\"token\": \"your password\"`,\n10) If needed, change date in `ExpiresAt` as required (date must be in the future)\n11) Select `Execute`\n10) Generated ApiKey for you can be found in the response body\n11) Copy the ApiKey and paste it into the Value box under the \"Authorize\" button (can be found on top of the list on the right-hand side)\n12) Click on `Authorize`\n\n**To generate an API key, the client has to have an existing, active account.**\n\n![How to generate OTP process](https://cdn.bizmachine.com/prospector/resources/api-key-otp-request.png)\n\n### Using API Key\n\nTo authenticate your calls with using API Key add following header with a valid API Key value.\n\n+ Headers\n    - `X-Api-Key: {YOUR_API_KEY}`\n\nMake sure you treat API key as any other secret (i.e. passwords).\n\nExample:\n\n    curl --location --request GET 'https://api.beta.bizmachine.com/api/v3/companies/basic-infos' \\\n        --header \"X-Api-Key: 4984052df611ff96e5c76d8feb185cd09bec444f811be6e41863cca14a61dbdc\"\n\n## Language\n\nThe API allows you to retrieve localized information for some of the text values.\nYou can specify your language preference by using the standard Accept-Language header:\n\n+ Headers\n    - `Accept-Language: {LANGUAGE_ID}`\n\nCurrently available languages are:\n\n- EN (English)\n- CS (Czech)\n- SK (Slovak)\n\nEN (English) is the default language used if the header is not provided.\n\n## User identification\n\nIf applicable (e.g., call initiated by CRM user), the identity of a user is tracked for reporting purposes.\n\nSuch API calls have to include the following header:\n\n+ Headers\n    - `X-User: {USER_EMAIL_OR_ID}`\n\n## Rate limiting\n\nTo ensure a good service level for all our clients, we are applying rate limits on number of requests per minute and per day. These limits are set and tracked per API key.\n\nThe information about the current and remaining API calls per time period are included in each response.\n\n## Maintenance\n\nDue to the data refresh, there may be periods of time (typically during the late night) when the service is temporarily unavailable. In such situations, the response will include:\n- Status code 503 (service unavailable)\n- Header X-Retry-After with an indication of time the service is expected to be restored\n\n## Metadata\n\nResponse from every dataset also contains a section called 'meta' that describes the dataset itself. \nHere is a description of fields that can be found in this section: \n\n| Item             | Path                    | Item description                                                     | Example                                                           | Always populated? |\n|------------------|-------------------------|----------------------------------------------------------------------|-------------------------------------------------------------------|-------------------|\n| Data source code | meta/ dataSources/ code | Code that identifies a specific data source                          | cz-ruian                                                          | No                |\n| Created at date  | meta/ createdAt         | The oldest date when the item was registered in the dataset instance | 2021-03-22T14:16:05.724Z                                          | No                |\n| Hash             | data/ hash              | A control hash ensuring the data integrity                           | 378dbad7b9f4145cad5be6dacea466e58ea86a823e40f03d13d93c8c29106f4b  | No                |\n\n# Guides\n\n## v1 Migration\n\nDeprecated v1 endpoints end its support on the 31st of May 2024. All users using these endpoints\n(listed below) needs to migrate to new alternatives.\n\nThis guide describes which endpoints are affected, what are the replacements for deprecated endpoints\nand how they differ.\n\n### List of deprecated v1 endpoints\n\n* GET v1/company/{nationalIn}\n* GET v1/embed/company/{nationalIn}\n* GET v1/company/customdata\n* GET v1/search/company/{query}\n* GET v1/vehicles\n\nIf you are using one of the above mentioned endpoints, please follow the migration guide or contact support at `support@bizmachine.com`.\n\n### Endpoints alternatives\n\n| Deprecated                          | New alternative                                           |\n|-------------------------------------|-----------------------------------------------------------|\n| `GET v1/company/{nationalIn}`       | `GET {dataset}/v4/companies/{nationalIn}/aggregated-data` |\n| `GET v1/embed/company/{nationalIn}` | `POST {dataset}/v4/companies/{nationalIn}/iframe`         |\n| `GET v1/company/customdata`         | `GET {dataset}/v3/custom-data`                            |\n| `GET v1/search/company/{query}`     | `GET {dataset}/v4/companies/suggest`                      |\n| `GET v1/vehicles`                   | `GET {dataset}/v4/vehicles`                               |\n\nNote, that all new endpoints have `{dataset}` option. You can specify a country, you are interested in.\nValid values are: `cz`, `sk`, `hu`. If `{dataset}` is not provided, it defaults to `cz`.\n\nNew endpoints also no longer provides detailed API usage in `Meta` part of the payload. `Meta` is now used to provide metadata information about current payload related to the called endpoint.\n\n#### Migrating v1/company/{nationalIn}\n\nA new alternative to `v1/company` is `aggregated-data` endpoint.\nThe Aggregated Data endpoint is your go-to solution for accessing essential company-related data in a streamlined and easy-to-implement manner. This endpoint serves as a centralized hub for extracting essential company-related data, encompassing the \"Basic-Infos\" dataset along with selected values from diverse datasets such as Contacts, Metrics, Risks, Indicators, NACE codes, Eshops, and Locations.\n\nThe deprecated `v1/company` endpoint had different outputs based on `template` provided.\nBelow are migration guides (`XLSX` files) for specific templates, containing differences between the endpoints\nmapping, notes, data availability, and what values should be used instead:\n\n* [Automotive Template](https://exchangebizmachine.blob.core.windows.net/cdn/docs/BizMachine_Migration_Automotive_AggregatedData.xlsx)\n* [Basic Template](https://exchangebizmachine.blob.core.windows.net/cdn/docs/BizMachine_Migration_Basic_AggregatedData.xlsx)\n* [Premium Template](https://exchangebizmachine.blob.core.windows.net/cdn/docs/BizMachine_Migration_Premium_AggregatedData.xlsx)\n\nExample:\n\nCall GET `https://api.bizmachine.com/v1/company/05450641` will be migrated as\nGET `https://api.bizmachine.com/cz/v4/companies/05450641/aggregated-data`\n\n#### Migrating v1/embed/company/{nationalIn}\n\nA new alternative for this deprecated endpoint is `POST {dataset}/v4/companies/{nationalIn}/iframe`.\n\nThe endpoint will provide a direct shareable link with IFrame options.\n\n> Endpoint changed HTTP method from `GET` to `POST`.\n\n#### Migrating v1/company/customdata\n\nTo get Custom Data, use endpoint `GET {dataset}/v3/custom-data`. This endpoint changes both input parameters and returned payload as well.\n\nTo specify a company, you no longer provide it as `RegistrationNumbers` but as `NationalIn`. Filtering options were extended, so please pay attention to those changes.\n\n#### Migrating v1/search/company/{query}\n\nNew alternative changed naming and form of the endpoint. It's not called Search anymore, but Suggest. \n\nInstead of searching using route `v1/search/company/Bizmachine`, it's now using query parameter to pass down query `GET {dataset}/v4/companies/suggest?query=Bizmachine`. \nThe biggest change for this endpoint is its payload. We no longer provide locations (Premises) and entire payload is targeted to company information.\n\n#### Migrating v1/vehicles\n\nAlternative to `v1/vehicles` is `{dataset}/v4/vehicles`.\nThere are small changes and differences between the endpoints. Most notably it's not using NationalIn (ičo),\nbut rather Company Unique Id, which consists of dataset and NationalIn value.\n\n> **NationalIn:** 05450641 -> **UniqueId:** cz-company-05450641\n\nExample:\nCall GET `https://api.bizmachine.com/v1/vehicles?Company.Bid=05450641`\nwill be migrated as GET `https://api.bizmachine.com/cz/v4/vehicles?Company.UniqueId=cz-company-05450641`\n\n### Troubleshooting\n\n#### I'm getting 400 error\n\nError 400 means bad input to API. Double check the documentation and your input parameters, if they have correct name and format. Most of the endpoints changed format, path, and naming.\n\n#### I'm getting 403 error\n\nIf you are getting 403 HTTP Code response from new endpoints, please contact support at `support@bizmachine.com`.\n\n## Tags\n\nThis workflow will show you how to add companies to a tag and then use this tag as a parameter for one of our data endpoints.\n\nFiltering BizMachine API with a tag is a common use case allowing you to get data only for the companies you specify. Tag is a list of companies to which you can add or take away companies as needed.\n\n> The tags can be managed in Prospector as well. You will find them there under the name \"Company Lists.\"\n\n> Please note that you can ****create a new tag**** solely in Prospector; this feature is not available through BizMachine API yet.\n\n\nIn the short workflow below, we will show how you can add companies to a tag and then filter one of our data endpoints by the tag.\n\n### Step 1: Add company to a tag\n\nTo add a company to the tag, you will need to know the following:\n\n- Dataset (cz, sk...)\n- National In (ICO...) of the company you want to add\n- Tag UID\n\nCURL example:\n\n```bash\ncurl --location --request POST 'https://api.bizmachine.com/prospector/cz/v2/companies/05450641/tags/a518e43c-0298-4cbc-92da-529b29ce3b42' \\\n--header \"X-Api-Key: your-api-key\"\n```\n\n> If you created a new tag in Prospector and are trying to figure out the ****Tag UID****, do the following:\n> - Open the tag you created in Prospector\n    >  - Look at the URL it should be in this format:\n    >  - https://prospector.bizmachine.com/cz/my-portfolio?tags=a518e43c-0298-4cbc-92da-529b29ce3b42\n> - Copy the code after \"tags=\" that is your Tag UID.\n\n### Step 2: Using tag as a parameter on company dataset\n\nYou can use the tag as a parameter to get data only for selected companies. For this, you will need to know following:\n\n- Dataset (cz, sk...)\n- Tag UID\n\nCURL example:\n\n```bash\ncurl --location --request GET 'https://api.bizmachine.com/cz/v3/companies/basic-infos?Tag.Uid=a518e43c-0298-4cbc-92da-529b29ce3b42' \\\n--header \"X-Api-Key: your-api-key\"\n```\n\n### Constructing PATCH JSON\n\nOur `PATCH {dataset}/v2/tags/{uid}/companies` endpoint requires specific json structure to be send in the body.\nThis section contains some examples on how to correctly construct it. \n\nAllowed operations: `add, remove`\n</br>\nAllowed path: `/companyTags`\n\n#### Adding new companies to tag\n```json\n[\n    {\n        \"path\": \"/companyTags\",\n        \"op\": \"add\",\n        \"value\": {\"Bid\": \"05450641\"}\n    },\n    {\n        \"path\": \"/companyTags\",\n        \"op\": \"add\",\n        \"value\": {\"Bid\": \"09540385\"}\n    }\n]\n```\n\n#### Removing companies from tag\n```json\n[\n    {\n        \"path\": \"/companyTags\",\n        \"op\": \"remove\",\n        \"value\": {\"Bid\": \"05450641\"}\n    }\n]\n```\n\n### Common issues\n\n#### I created a new tag, and add companies  however the company dataset is not returning any data\n\nPlease remember that a new tag might not be available on the API for 15 minutes after its creation.\n\nIf the dataset is empty even after 15 minutes from creating the tag, don't hesitate to get in touch with support@bizmachine.com\n\n#### API is returning 401 unauthorized\n\nYour API key is not authorized to get data from the specific dataset.\n\nPlease make sure that:\n\n- You specified header `X-Api-Key` with the correct API key as its value\n- Your API key is not expired. In that case, please generate a new API key\n- You generated the API key with a service account which have all the necessary rights for this dataset\n\nIf the problem persists, please get in touch with support@bizmachine.com\n",
    "version": "external"
  },
  "servers": [
    {
      "url": "https://api.bizmachine.com",
      "description": "Production Server"
    },
    {
      "url": "https://api.beta.bizmachine.com",
      "description": "Beta Server"
    }
  ],
  "paths": {
    "/{dataset}/v4/companies/{nationalIn}/aggregated-data": {
      "get": {
        "tags": [
          "Aggregated Data"
        ],
        "summary": "Gets aggregated data for company identified by nationalIn.",
        "description": "# **Dataset Description:**\n\nThe Aggregated Data endpoint is your go-to solution for accessing essential company-related data in a streamlined and easy-to-implement manner. This endpoint serves as a centralized hub for extracting essential company-related data, encompassing the \"Basic-Infos\" dataset along with selected values from diverse datasets such as Contacts, Metrics, Risks, Indicators, NACE codes, Eshops, and Locations.\n\nPlease note that metrics values do not include historical data. For historical data, clients are encouraged to utilize the dedicated Metrics endpoint.\n\n## **Availability:**\n- Supported in Czech Republic (cz), Slovakia (sk), and Hungary (hu).\n\n## **Dataset Updates:**\nThe datasets are updated on a weekly to monthly basis, ensuring access to the most current and reliable data for your business needs.\n\n## **Selected Use Cases:**\n- **Simplified Integration:** This endpoint is designed for easy integration into your systems and applications by combining multiple datasets into one package.\n- **Business Research:** Ideal for market research, due diligence, competitor and risk analysis.\n- **Financial Insights:** Gain instant insights into financial performance, revenue, and growth prospects.\n- **Business Development:** Facilitate lead generation and partner identification.\n- **Marketing and Sales:** Customize marketing campaigns and outreach efforts.\n",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "National identifier of the company.",
            "required": true,
            "schema": {
              "type": "string",
              "description": "National identifier of the company."
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.AggregatedData.v4.AggregatedDataEnvelopeDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v1/ApiKeys/otp/request": {
      "post": {
        "tags": [
          "API Keys"
        ],
        "summary": "Request OTP",
        "description": "Requests one-time password used to generate API Key.\r\nOTP has limited expiration frame and is created for existing email address.",
        "parameters": [
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Existing Prospector user's email address",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.BaseDtos.EmailDto"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.BaseDtos.EmailDto"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.BaseDtos.EmailDto"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.BaseDtos.EmailDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success"
          }
        }
      }
    },
    "/{dataset}/v1/ApiKeys/otp": {
      "post": {
        "tags": [
          "API Keys"
        ],
        "summary": "Generate API Key",
        "description": "Verifies one-time password. If OTP is valid, returns new API key.",
        "parameters": [
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "OTP token and expiryDate of newly generated API key",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.OtpDto"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.OtpDto"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.OtpDto"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.OtpDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.ApiKeyDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataDto"
                }
              }
            }
          }
        }
      }
    },
    "/{dataset}/v4/companies/aggregated-data": {
      "get": {
        "tags": [
          "Aggregated Data"
        ],
        "summary": "Gets aggregated data for companies in a tag.",
        "description": "# **Dataset Description:**\n\nReturns aggregated data for all companies in one of your tags in a single paged call. Each item has the same content as the single-company Aggregated Data endpoint - see its description for the included datasets, availability, update frequency and use cases.\n\n## **Request:**\n\n- **Tag** (`Tag.Uid`, required): unique identifier of the tag whose companies should be returned. The tag has to be owned by or shared with the calling user.\n- **Paging** (`Offset`, `Limit`): `Offset` sets where to start, `Limit` sets the page size (default 200, max 250). The `paging` object in the response contains the total number of items and pages.\n\n## **Response:**\n\n- `data` is a list of companies. Each item carries its own `_meta` object with the content hash, the date of the last update and a link to the company in Prospector.\n- `204 No Content` is returned when no data could be provided for the request.\n",
        "parameters": [
          {
            "name": "Offset",
            "in": "query",
            "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
            "schema": {
              "type": "integer",
              "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
              "format": "int32"
            }
          },
          {
            "name": "Limit",
            "in": "query",
            "description": "Allows to specify limit of returned data.",
            "schema": {
              "type": "integer",
              "description": "Allows to specify limit of returned data.",
              "format": "int32",
              "default": 200
            }
          },
          {
            "name": "Tag.Uid",
            "in": "query",
            "description": "Unique identifier.",
            "schema": {
              "type": "string",
              "description": "Unique identifier.",
              "format": "uuid",
              "nullable": true
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.AggregatedData.v4.BulkAggregatedDataDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v4/companies/contacts/business-cards": {
      "get": {
        "tags": [
          "Company Collection Request"
        ],
        "summary": "Business cards (restricted)",
        "description": "Gets available business cards information.",
        "parameters": [
          {
            "name": "Tag.Uid",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "uuid",
              "nullable": true
            }
          },
          {
            "name": "Types",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Modules.Companies.DataStructures.Models.Contacts.v4.ContactType"
              },
              "nullable": true
            }
          },
          {
            "name": "Sources",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true
            }
          },
          {
            "name": "LastCheck.From",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "LastCheck.To",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedFrom",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedTo",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "IsPrivate",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "IsPrimary",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "Offset",
            "in": "query",
            "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
            "schema": {
              "type": "integer",
              "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
              "format": "int32"
            }
          },
          {
            "name": "Limit",
            "in": "query",
            "description": "Allows to specify limit of returned data.",
            "schema": {
              "type": "integer",
              "description": "Allows to specify limit of returned data.",
              "format": "int32",
              "default": 200
            }
          },
          {
            "name": "SortBy",
            "in": "query",
            "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
            "schema": {
              "type": "string",
              "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
              "nullable": true
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.BusinessCards.BusinessCardsDataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              },
              "text/csv": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.BusinessCards.BusinessCardsDataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v4/companies/{nationalIn}/contacts/business-cards": {
      "get": {
        "tags": [
          "Company Single Request"
        ],
        "summary": "Business cards (restricted)",
        "description": "Gets available business cards information for given company.",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "Company national identifier to get business cards for.",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Company national identifier to get business cards for."
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Query",
            "in": "query",
            "description": "Search query string.",
            "schema": {
              "type": "string",
              "description": "Search query string.",
              "nullable": true
            }
          },
          {
            "name": "DepartmentCodes",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true
            }
          },
          {
            "name": "Types",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Modules.Companies.DataStructures.Models.Contacts.v4.ContactType"
              },
              "nullable": true
            }
          },
          {
            "name": "Sources",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true
            }
          },
          {
            "name": "LastCheck.From",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "LastCheck.To",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedFrom",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedTo",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "IsPrivate",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "IsPrimary",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "Offset",
            "in": "query",
            "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
            "schema": {
              "type": "integer",
              "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
              "format": "int32"
            }
          },
          {
            "name": "Limit",
            "in": "query",
            "description": "Allows to specify limit of returned data.",
            "schema": {
              "type": "integer",
              "description": "Allows to specify limit of returned data.",
              "format": "int32",
              "default": 200
            }
          },
          {
            "name": "SortBy",
            "in": "query",
            "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
            "schema": {
              "type": "string",
              "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.BusinessCards.BusinessCardsDataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              },
              "text/csv": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.BusinessCards.BusinessCardsDataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v4/companies/contacts": {
      "get": {
        "tags": [
          "Company Collection Request"
        ],
        "summary": "Contacts",
        "description": "Dataset description:\n\nContact details for the company split into phones, emails, urls and social media.\nDataset combines 2 levels of contact details - personal and generic.\nWhile generic contacts are isolated, typically like `info@company.com`, a personal contact (phones, emails or professional social media profiles) is linked to a person profile with name and role in the company.\n\n\nAll contact details are regularly verified and we guarantee availability on the source url within the previous 30 days, thereby complying with most GDPR policies. Personal contacts are verified on a weekly basis.\n\nAll our contact data originate from publicly available sources. We do not use any purchased contact lists from 3rd parties.\n\nA contact like `john.smith@company.com` may be considered generic when detailed information about the person (name,role) are not explicitly published on the website or our system is unable to link these into a single profile.\n\nAvailability:\n\ncz, sk, hu\n\nDataset updates:\n\nUpdates of our contacts differ across sources. While in contacts sourced from company websites are parsed and verified on a continuous basis, company catalogues and contacts coming from job postings follow weekly updates.\n\nSelected use cases:\n\n- avoid GDPR issues by having a publicly available source of your contact, ready to show when challenged\n- filter specific roles in your target company using our Role enumeration and approach only contacts you specifically need\n- increase conversion using our confidence indication and call the numbers we cross-validated across multiple data sources\n- monitor departures from your target company by taking advantage of our Linkedin update tracking / verification service\n\n\n\n\nEndpoint variables description:\n\n| Item commercial name                          | Path                                                 | Item description                                                                                                                       | Example                                                     | Always populated |\n|-----------------------------------------------|------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------|------------------|\n| Entity unique ID                              | data/ company/ uniqueId                              | BizMachine identifier combining country and entity type information and local ID                                                       | cz-company-14615100                                         | Yes              |\n| Contact person ID                             | data/ contacts/ people/ id                           | Internal file ID to connect a person with phones, emails, etc.                                                                         | 1                                                           | Inherited        |\n| Contact person unique ID                      | data/ contacts/ people/ uniqueId                     |                                                                                                                                        | cz-person-ABC12345677                                       | Inherited        |\n| Contact full name                             | data/ contacts/ people/ name/ text                   | Full name of the person (first & last) as a text string                                                                                | Jiří Částka                                                 | Inherited        |\n| Contact first name                            | data/ contacts/ people/ name/ firstName              | First name of the contact person                                                                                                       | Jiří                                                        | No               |\n| Contact last name                             | data/ contacts/ people/ name/ lastName               | Last name of the contact person                                                                                                        | Částka                                                      | No               |\n| Contact role (label)                          | data/ contacts/ people/ roles/ text                  | Role of the contact person in a given company                                                                                          | Elektromechanický technik                                   | Inherited        |\n| Contact role (code)                           | data/ contacts/ people/ roles/ code                  |                                                                                                                                        | a8e26a257d                                                  | Inherited        |\n| Contact role start date                       | data/ contacts/ people/ roles/ validFrom             | Date, when the contact person has been first identified in the role                                                                    | 2021-03-15T23:36:03+00:00                                   | Inherited        |\n| Contact role end date                         | data/ contacts/ people/ roles/ validTo               |                                                                                                                                        | 2021-03-15T23:36:03+00:00                                   | No               |\n| Contact department text                       | data/ contacts/ departments/ roles/ text             |                                                                                                                                        | ABC123                                                      | Inherited        |\n| Contact department code                       | data/ contacts/ departments/ roles/ code             |                                                                                                                                        | Handyman                                                    | Inherited        |\n| Contact department start date                 | data/ contacts/ departments/ roles/ validFrom        |                                                                                                                                        | 2022-03-04T08:58:08.17+00:00                                | Inherited        |\n| Contact department end date                   | data/ contacts/ departments/ roles/ validTo          |                                                                                                                                        | 2022-03-04T08:58:08.17+00:00                                | No               |\n| Phone number unique ID                        | data/ contacts/ phoneNumbers/ guid                   | Technical phone number ID                                                                                                              | 84811132-1830-4278-1934-0a78f7636a02                        | Inherited        |\n| Phone number first entry                      | data/ contacts/ phoneNumbers/ createdAt              | Date on which the phone number has been identified for the first time                                                                  | 2022-03-04T08:58:08.17+00:00                                | Inherited        |\n| Phone number last update                      | data/ contacts/ phoneNumbers/ updatedAt              | Last known update of the phone number                                                                                                  | 2022-03-04T08:58:08.17+00:00                                | No               |\n| Phone number primary                          | data/ contacts/ phoneNumbers/ isPrimary              | 3 most credible phone numbers (with the highest confidence) per company are referenced as \"primary\"                                    | True                                                        | No               |\n| Phone number confidence                       | data/ contacts/ phoneNumbers/ confidence             | Contact-to-company link confidence                                                                                                     | 0.98                                                        | Inherited        |\n| Phone number private                          | data/ contacts/ phoneNumbers/ isPrivate              | When TRUE, the phone number has been identified as potentially linked to a specific individual (as opposed to company generic contact) | True                                                        | No               |\n| Phone number source URL                       | data/ contacts/ phoneNumbers/ sources/ url           | Where has the phone number been found                                                                                                  | https://www.zivefirmy.cz/mapro_f1072996?cz=548              | Inherited        |\n| Phone number last validity check              | data/ contacts/ phoneNumbers/ sources/ lastCheckedAt | Date of last check, when the phone number has been found on the source                                                                 | 2022-02-16T12:23:52+00:00                                   | Inherited        |\n| Phone number source (code)                    | data/ contacts/ phoneNumbers/ sources/ code          | Enumeration code for information source at /api/v3/Sources                                                                             | cz-zivefirmycz                                              | Inherited        |\n| Phone number source (label)                   | data/ contacts/ phoneNumbers/ sources/ name          | Name of the source of information                                                                                                      | Zivefirmy.cz                                                | No               |\n| Phone number linked contact person ID         | data/ contacts/ phoneNumbers/ person/ id             | Internal person reference linking the phone number to a person                                                                         | 42619                                                       | Inherited        |\n| Phone number                                  | data/ contacts/ phoneNumbers/ value                  | The actual phone number                                                                                                                | 00420585157811                                              | Inherited        |\n| Email unique ID                               | data/ contacts/ emails/ guid                         | TBD                                                                                                                                    | f52f6f95-a039-e93d-08cc-b05a62569c5c                        | Inherited        |\n| Email first entry                             | data/ contacts/ emails/ createdAt                    | Date on which the email has been identified for the first time                                                                         | 2022-03-04T08:58:08.17+00:00                                | Inherited        |\n| Email last update                             | data/ contacts/ emails/ updatedAt                    | Last known update of the email address                                                                                                 | 2022-03-04T08:58:08.17+00:00                                | No               |\n| Email primary                                 | data/ contacts/ emails/ isPrimary                    | 3 most credible emails (with the highest confidence) per company are referenced as \"primary\"                                           | True                                                        | No               |\n| Email confidence                              | data/ contacts/ emails/ confidence                   |                                                                                                                                        | 0.98                                                        | Inherited        |\n| Email private                                 | data/ contacts/ emails/ isPrivate                    | Has thise email address been identfied as possible belonging to a specific individual (as opposed to company generic)?                 | True                                                        | No               |\n| Email source URL                              | data/ contacts/ emails/ sources/ url                 | Where has the email address been found                                                                                                 | https://www.mapro.cz/kontakt/mapro-cz/                      | Inherited        |\n| Email last validity check                     | data/ contacts/ emails/ sources/ lastCheckedAt       | Date of last check, when the email address has been found on the source                                                                | 2022-03-04T08:58:08+00:00                                   | Inherited        |\n| Email source (code)                           | data/ contacts/ emails/ sources/ code                | Enumeration code for information source at /api/v3/Sources                                                                             | cz-uradprace                                                | Inherited        |\n| Email source (label)                          | data/ contacts/ emails/ sources/ name                | Name of the source of information                                                                                                      | Úřad Práce ČR                                               | No               |\n| Email linked contact person ID                | data/ contacts/ emails/ person/ id                   | Internal person reference linking the email to a person                                                                                | 42619                                                       | Inherited        |\n| Email                                         | data/ contacts/ emails/ value                        | The actual email address                                                                                                               | jelinkova@mapro.cz                                          | Inherited        |\n| Website unique ID                             | data/ contacts/ websites/ guid                       | Uniqe ID of the specific website                                                                                                       | 49307135-52cc-b9bb-4415-e0525bc858d5                        | Inherited        |\n| Website first entry                           | data/ contacts/ websites/ createdAt                  | First date when the website was identified and linked to the company                                                                   | 2022-02-08T08:35:56.607+00:00                               | Inherited        |\n| Website last update                           | data/ contacts/ websites/ updatedAt                  | Latest update of the website database entry                                                                                            | 2022-02-08T08:35:56.607+00:00                               | No               |\n| Website primary                               | data/ contacts/ websites/ isPrimary                  | 3 most credible emails (with the highest confidence) per company are referenced as \"primary\"                                           | True                                                        | No               |\n| Website confidence                            | data/ contacts/ websites/ confidence                 | How confident are we that the website belongs to this company (probabilistic matching used)                                            | 0.99                                                        | Inherited        |\n| website private                               | data/ contacts/ websites/ isPrivate                  | Has thise email address been identfied as possible belonging to a specific individual (as opposed to company generic)?                 | True                                                        | No               |\n| Website source URL                            | data/ contacts/ websites/ sources/ url               | URL of the source, where we have found the website                                                                                     | https://www.edb.eu/czech-firm-119752-mapro-s-r-o/contact    | Inherited        |\n| Website last validity check                   | data/ contacts/ websites/ sources/ lastCheckedAt     | Date of last check of the information availability on source                                                                           | 2022-02-08T08:35:57+00:00                                   | Inherited        |\n| Website source (code)                         | data/ contacts/ websites/ sources/ code              | Enumeration code for information source at /api/v3/Sources                                                                             | cz-edb                                                      | Inherited        |\n| Website source (label)                        | data/ contacts/ websites/ sources/ name              | Name of the source of information                                                                                                      | Evropská databanka firem                                    | No               |\n| Website linked contact person ID              | data/ contacts/ websites/ person/ id                 | Internal person reference linking the email to a person                                                                                | 42619                                                       | Inherited        |\n| Website                                       | data/ contacts/ websites/ value                      | The actual website URL                                                                                                                 | http://mapro.cz                                             | Inherited        |\n| Social media name (code)                      | data/ contacts/ socialMedia/ type/ code              | Enumeration code for information source at /api/v3/Sources                                                                             | linkedin                                                    | Inherited        |\n| Social media account unique ID                | data/ contacts/ socialMedia/ guid                    | Uniqe ID of the specific social media profile                                                                                          | c37707bb-8185-d709-10ba-8eb92e3113f2                        | Inherited        |\n| Social media account first entry              | data/ contacts/ socialMedia/ createdAt               | First date when the social media profile was identified and linked to the company                                                      | 2022-03-06T09:24:57.24+00:00                                | Inherited        |\n| Social media account last update              | data/ contacts/ socialMedia/ updatedAt               | Latest update of the social media profile database entry                                                                               | 2022-03-06T09:24:57.24+00:00                                | No               |\n| Social media account primary                  | data/ contacts/ socialMedia/ isPrimary               | Is this the primary profile for the specific social media for this company                                                             | True                                                        | No               |\n| Social media account confidence               | data/ contacts/ socialMedia/ confidence              | How confident are we that the social media profile belongs to this company (probabilistic matching used)                               | 1                                                           | Inherited        |\n| Social media account private                  | data/ contacts/ socialMedia/ isPrivate               | Is this social media profile personal (i.e., not a company profile, but individual person's profile)                                   | True                                                        | No               |\n| Social media account source URL               | data/ contacts/ socialMedia/ sources/ url            |                                                                                                                                        | https://www.linkedin.com/in/ale%C5%A1-krac%C3%ADk-b8a1421a7 | Inherited        |\n| Social media account last validity check      | data/ contacts/ socialMedia/ sources/ lastCheckedAt  |                                                                                                                                        | 2021-03-15T23:01:19+00:00                                   | Inherited        |\n| Social media account source (code)            | data/ contacts/ socialMedia/ sources/ code           | Enumeration code for information source at /api/v3/Sources                                                                             | linkedin                                                    | Inherited        |\n| Social media account source (label)           | data/ contacts/ socialMedia/ sources/ name           | Social media name                                                                                                                      | Linkedin                                                    | No               |\n| Social media account linked contact person ID | data/ contacts/ socialMedia/ person/ id              | Internal person reference linking the LinkedIn account to a person                                                                     | 207342                                                      | Inherited        |\n| Social media account                          | data/ contacts/ socialMedia/ value                   | The actual LinkedIn profile URL                                                                                                        | https://www.linkedin.com/in/ale%C5%A1-krac%C3%ADk-b8a1421a7 | Inherited        |",
        "parameters": [
          {
            "name": "Tag.Uid",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "uuid",
              "nullable": true
            }
          },
          {
            "name": "Types",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Modules.Companies.DataStructures.Models.Contacts.v4.ContactType"
              },
              "nullable": true
            }
          },
          {
            "name": "Sources",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true
            }
          },
          {
            "name": "LastCheck.From",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "LastCheck.To",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedFrom",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedTo",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "IsPrivate",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "IsPrimary",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "Offset",
            "in": "query",
            "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
            "schema": {
              "type": "integer",
              "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
              "format": "int32"
            }
          },
          {
            "name": "Limit",
            "in": "query",
            "description": "Allows to specify limit of returned data.",
            "schema": {
              "type": "integer",
              "description": "Allows to specify limit of returned data.",
              "format": "int32",
              "default": 200
            }
          },
          {
            "name": "SortBy",
            "in": "query",
            "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
            "schema": {
              "type": "string",
              "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
              "nullable": true
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.SingleContactDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              },
              "text/csv": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.SingleContactDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v4/companies/{nationalIn}/contacts": {
      "get": {
        "tags": [
          "Company Single Request"
        ],
        "summary": "Contacts",
        "description": "Dataset description:\n\nContact details for the company split into phones, emails, urls and social media.\nDataset combines 2 levels of contact details - personal and generic.\nWhile generic contacts are isolated, typically like `info@company.com`, a personal contact (phones, emails or professional social media profiles) is linked to a person profile with name and role in the company.\n\n\nAll contact details are regularly verified and we guarantee availability on the source url within the previous 30 days, thereby complying with most GDPR policies. Personal contacts are verified on a weekly basis.\n\nAll our contact data originate from publicly available sources. We do not use any purchased contact lists from 3rd parties.\n\nA contact like `john.smith@company.com` may be considered generic when detailed information about the person (name,role) are not explicitly published on the website or our system is unable to link these into a single profile.\n\nAvailability:\n\ncz, sk, hu\n\nDataset updates:\n\nUpdates of our contacts differ across sources. While in contacts sourced from company websites are parsed and verified on a continuous basis, company catalogues and contacts coming from job postings follow weekly updates.\n\nSelected use cases:\n\n- avoid GDPR issues by having a publicly available source of your contact, ready to show when challenged\n- filter specific roles in your target company using our Role enumeration and approach only contacts you specifically need\n- increase conversion using our confidence indication and call the numbers we cross-validated across multiple data sources\n- monitor departures from your target company by taking advantage of our Linkedin update tracking / verification service\n\n\n\n\nEndpoint variables description:\n\n| Item commercial name                          | Path                                                 | Item description                                                                                                                       | Example                                                     | Always populated |\n|-----------------------------------------------|------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------|------------------|\n| Entity unique ID                              | data/ company/ uniqueId                              | BizMachine identifier combining country and entity type information and local ID                                                       | cz-company-14615100                                         | Yes              |\n| Contact person ID                             | data/ contacts/ people/ id                           | Internal file ID to connect a person with phones, emails, etc.                                                                         | 1                                                           | Inherited        |\n| Contact person unique ID                      | data/ contacts/ people/ uniqueId                     |                                                                                                                                        | cz-person-ABC12345677                                       | Inherited        |\n| Contact full name                             | data/ contacts/ people/ name/ text                   | Full name of the person (first & last) as a text string                                                                                | Jiří Částka                                                 | Inherited        |\n| Contact first name                            | data/ contacts/ people/ name/ firstName              | First name of the contact person                                                                                                       | Jiří                                                        | No               |\n| Contact last name                             | data/ contacts/ people/ name/ lastName               | Last name of the contact person                                                                                                        | Částka                                                      | No               |\n| Contact role (label)                          | data/ contacts/ people/ roles/ text                  | Role of the contact person in a given company                                                                                          | Elektromechanický technik                                   | Inherited        |\n| Contact role (code)                           | data/ contacts/ people/ roles/ code                  |                                                                                                                                        | a8e26a257d                                                  | Inherited        |\n| Contact role start date                       | data/ contacts/ people/ roles/ validFrom             | Date, when the contact person has been first identified in the role                                                                    | 2021-03-15T23:36:03+00:00                                   | Inherited        |\n| Contact role end date                         | data/ contacts/ people/ roles/ validTo               |                                                                                                                                        | 2021-03-15T23:36:03+00:00                                   | No               |\n| Contact department text                       | data/ contacts/ departments/ roles/ text             |                                                                                                                                        | ABC123                                                      | Inherited        |\n| Contact department code                       | data/ contacts/ departments/ roles/ code             |                                                                                                                                        | Handyman                                                    | Inherited        |\n| Contact department start date                 | data/ contacts/ departments/ roles/ validFrom        |                                                                                                                                        | 2022-03-04T08:58:08.17+00:00                                | Inherited        |\n| Contact department end date                   | data/ contacts/ departments/ roles/ validTo          |                                                                                                                                        | 2022-03-04T08:58:08.17+00:00                                | No               |\n| Phone number unique ID                        | data/ contacts/ phoneNumbers/ guid                   | Technical phone number ID                                                                                                              | 84811132-1830-4278-1934-0a78f7636a02                        | Inherited        |\n| Phone number first entry                      | data/ contacts/ phoneNumbers/ createdAt              | Date on which the phone number has been identified for the first time                                                                  | 2022-03-04T08:58:08.17+00:00                                | Inherited        |\n| Phone number last update                      | data/ contacts/ phoneNumbers/ updatedAt              | Last known update of the phone number                                                                                                  | 2022-03-04T08:58:08.17+00:00                                | No               |\n| Phone number primary                          | data/ contacts/ phoneNumbers/ isPrimary              | 3 most credible phone numbers (with the highest confidence) per company are referenced as \"primary\"                                    | True                                                        | No               |\n| Phone number confidence                       | data/ contacts/ phoneNumbers/ confidence             | Contact-to-company link confidence                                                                                                     | 0.98                                                        | Inherited        |\n| Phone number private                          | data/ contacts/ phoneNumbers/ isPrivate              | When TRUE, the phone number has been identified as potentially linked to a specific individual (as opposed to company generic contact) | True                                                        | No               |\n| Phone number source URL                       | data/ contacts/ phoneNumbers/ sources/ url           | Where has the phone number been found                                                                                                  | https://www.zivefirmy.cz/mapro_f1072996?cz=548              | Inherited        |\n| Phone number last validity check              | data/ contacts/ phoneNumbers/ sources/ lastCheckedAt | Date of last check, when the phone number has been found on the source                                                                 | 2022-02-16T12:23:52+00:00                                   | Inherited        |\n| Phone number source (code)                    | data/ contacts/ phoneNumbers/ sources/ code          | Enumeration code for information source at /api/v3/Sources                                                                             | cz-zivefirmycz                                              | Inherited        |\n| Phone number source (label)                   | data/ contacts/ phoneNumbers/ sources/ name          | Name of the source of information                                                                                                      | Zivefirmy.cz                                                | No               |\n| Phone number linked contact person ID         | data/ contacts/ phoneNumbers/ person/ id             | Internal person reference linking the phone number to a person                                                                         | 42619                                                       | Inherited        |\n| Phone number                                  | data/ contacts/ phoneNumbers/ value                  | The actual phone number                                                                                                                | 00420585157811                                              | Inherited        |\n| Email unique ID                               | data/ contacts/ emails/ guid                         | TBD                                                                                                                                    | f52f6f95-a039-e93d-08cc-b05a62569c5c                        | Inherited        |\n| Email first entry                             | data/ contacts/ emails/ createdAt                    | Date on which the email has been identified for the first time                                                                         | 2022-03-04T08:58:08.17+00:00                                | Inherited        |\n| Email last update                             | data/ contacts/ emails/ updatedAt                    | Last known update of the email address                                                                                                 | 2022-03-04T08:58:08.17+00:00                                | No               |\n| Email primary                                 | data/ contacts/ emails/ isPrimary                    | 3 most credible emails (with the highest confidence) per company are referenced as \"primary\"                                           | True                                                        | No               |\n| Email confidence                              | data/ contacts/ emails/ confidence                   |                                                                                                                                        | 0.98                                                        | Inherited        |\n| Email private                                 | data/ contacts/ emails/ isPrivate                    | Has thise email address been identfied as possible belonging to a specific individual (as opposed to company generic)?                 | True                                                        | No               |\n| Email source URL                              | data/ contacts/ emails/ sources/ url                 | Where has the email address been found                                                                                                 | https://www.mapro.cz/kontakt/mapro-cz/                      | Inherited        |\n| Email last validity check                     | data/ contacts/ emails/ sources/ lastCheckedAt       | Date of last check, when the email address has been found on the source                                                                | 2022-03-04T08:58:08+00:00                                   | Inherited        |\n| Email source (code)                           | data/ contacts/ emails/ sources/ code                | Enumeration code for information source at /api/v3/Sources                                                                             | cz-uradprace                                                | Inherited        |\n| Email source (label)                          | data/ contacts/ emails/ sources/ name                | Name of the source of information                                                                                                      | Úřad Práce ČR                                               | No               |\n| Email linked contact person ID                | data/ contacts/ emails/ person/ id                   | Internal person reference linking the email to a person                                                                                | 42619                                                       | Inherited        |\n| Email                                         | data/ contacts/ emails/ value                        | The actual email address                                                                                                               | jelinkova@mapro.cz                                          | Inherited        |\n| Website unique ID                             | data/ contacts/ websites/ guid                       | Uniqe ID of the specific website                                                                                                       | 49307135-52cc-b9bb-4415-e0525bc858d5                        | Inherited        |\n| Website first entry                           | data/ contacts/ websites/ createdAt                  | First date when the website was identified and linked to the company                                                                   | 2022-02-08T08:35:56.607+00:00                               | Inherited        |\n| Website last update                           | data/ contacts/ websites/ updatedAt                  | Latest update of the website database entry                                                                                            | 2022-02-08T08:35:56.607+00:00                               | No               |\n| Website primary                               | data/ contacts/ websites/ isPrimary                  | 3 most credible emails (with the highest confidence) per company are referenced as \"primary\"                                           | True                                                        | No               |\n| Website confidence                            | data/ contacts/ websites/ confidence                 | How confident are we that the website belongs to this company (probabilistic matching used)                                            | 0.99                                                        | Inherited        |\n| website private                               | data/ contacts/ websites/ isPrivate                  | Has thise email address been identfied as possible belonging to a specific individual (as opposed to company generic)?                 | True                                                        | No               |\n| Website source URL                            | data/ contacts/ websites/ sources/ url               | URL of the source, where we have found the website                                                                                     | https://www.edb.eu/czech-firm-119752-mapro-s-r-o/contact    | Inherited        |\n| Website last validity check                   | data/ contacts/ websites/ sources/ lastCheckedAt     | Date of last check of the information availability on source                                                                           | 2022-02-08T08:35:57+00:00                                   | Inherited        |\n| Website source (code)                         | data/ contacts/ websites/ sources/ code              | Enumeration code for information source at /api/v3/Sources                                                                             | cz-edb                                                      | Inherited        |\n| Website source (label)                        | data/ contacts/ websites/ sources/ name              | Name of the source of information                                                                                                      | Evropská databanka firem                                    | No               |\n| Website linked contact person ID              | data/ contacts/ websites/ person/ id                 | Internal person reference linking the email to a person                                                                                | 42619                                                       | Inherited        |\n| Website                                       | data/ contacts/ websites/ value                      | The actual website URL                                                                                                                 | http://mapro.cz                                             | Inherited        |\n| Social media name (code)                      | data/ contacts/ socialMedia/ type/ code              | Enumeration code for information source at /api/v3/Sources                                                                             | linkedin                                                    | Inherited        |\n| Social media account unique ID                | data/ contacts/ socialMedia/ guid                    | Uniqe ID of the specific social media profile                                                                                          | c37707bb-8185-d709-10ba-8eb92e3113f2                        | Inherited        |\n| Social media account first entry              | data/ contacts/ socialMedia/ createdAt               | First date when the social media profile was identified and linked to the company                                                      | 2022-03-06T09:24:57.24+00:00                                | Inherited        |\n| Social media account last update              | data/ contacts/ socialMedia/ updatedAt               | Latest update of the social media profile database entry                                                                               | 2022-03-06T09:24:57.24+00:00                                | No               |\n| Social media account primary                  | data/ contacts/ socialMedia/ isPrimary               | Is this the primary profile for the specific social media for this company                                                             | True                                                        | No               |\n| Social media account confidence               | data/ contacts/ socialMedia/ confidence              | How confident are we that the social media profile belongs to this company (probabilistic matching used)                               | 1                                                           | Inherited        |\n| Social media account private                  | data/ contacts/ socialMedia/ isPrivate               | Is this social media profile personal (i.e., not a company profile, but individual person's profile)                                   | True                                                        | No               |\n| Social media account source URL               | data/ contacts/ socialMedia/ sources/ url            |                                                                                                                                        | https://www.linkedin.com/in/ale%C5%A1-krac%C3%ADk-b8a1421a7 | Inherited        |\n| Social media account last validity check      | data/ contacts/ socialMedia/ sources/ lastCheckedAt  |                                                                                                                                        | 2021-03-15T23:01:19+00:00                                   | Inherited        |\n| Social media account source (code)            | data/ contacts/ socialMedia/ sources/ code           | Enumeration code for information source at /api/v3/Sources                                                                             | linkedin                                                    | Inherited        |\n| Social media account source (label)           | data/ contacts/ socialMedia/ sources/ name           | Social media name                                                                                                                      | Linkedin                                                    | No               |\n| Social media account linked contact person ID | data/ contacts/ socialMedia/ person/ id              | Internal person reference linking the LinkedIn account to a person                                                                     | 207342                                                      | Inherited        |\n| Social media account                          | data/ contacts/ socialMedia/ value                   | The actual LinkedIn profile URL                                                                                                        | https://www.linkedin.com/in/ale%C5%A1-krac%C3%ADk-b8a1421a7 | Inherited        |",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "Company national identifier to get contacts for.",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Company national identifier to get contacts for."
            }
          },
          {
            "name": "Types",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/BizMachine.Prospector.Modules.Companies.DataStructures.Models.Contacts.v4.ContactType"
              },
              "nullable": true
            }
          },
          {
            "name": "Sources",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "nullable": true
            }
          },
          {
            "name": "LastCheck.From",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "LastCheck.To",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedFrom",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "Updated.CreatedTo",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "nullable": true
            }
          },
          {
            "name": "IsPrivate",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "IsPrimary",
            "in": "query",
            "schema": {
              "type": "boolean",
              "nullable": true
            }
          },
          {
            "name": "Offset",
            "in": "query",
            "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
            "schema": {
              "type": "integer",
              "description": "Allows to specify offset from where to start streaming results.\r\nDefault value: 0",
              "format": "int32"
            }
          },
          {
            "name": "Limit",
            "in": "query",
            "description": "Allows to specify limit of returned data.",
            "schema": {
              "type": "integer",
              "description": "Allows to specify limit of returned data.",
              "format": "int32",
              "default": 200
            }
          },
          {
            "name": "SortBy",
            "in": "query",
            "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
            "schema": {
              "type": "string",
              "description": "Sorting order and field to sort by in format [sorting-order]([property-name])\r\nValid orders: desc, asc.\r\n            \r\nExample: desc(createdAt)",
              "nullable": true
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.SingleContactDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              },
              "text/csv": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v4.Contacts.SingleContactDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataMetaDtoSystem.Collections.Generic.ICollectionBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.PagedDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v2/companies/{nationalIn}/tags/{tagUid}": {
      "post": {
        "tags": [
          "Tags"
        ],
        "summary": "Add Tag to company",
        "description": "Add tag to a specific company. If the company already has the tag, its description is replaced; omitting the description removes it.",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "Unique Id of the company.",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Unique Id of the company.",
              "nullable": true
            }
          },
          {
            "name": "tagUid",
            "in": "path",
            "description": "Unique ID of the tag.",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Unique ID of the tag.",
              "format": "uuid"
            }
          },
          {
            "name": "description",
            "in": "query",
            "description": "Description for link between the tag and company.",
            "schema": {
              "type": "string",
              "description": "Description for link between the tag and company.",
              "nullable": true
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success"
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      },
      "delete": {
        "tags": [
          "Tags"
        ],
        "summary": "Remove Tag from company",
        "description": "Removes a specific tag from the company.",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "Unique Id of the company",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Unique Id of the company",
              "nullable": true
            }
          },
          {
            "name": "tagUid",
            "in": "path",
            "description": "Unique ID of the tag",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Unique ID of the tag",
              "format": "uuid"
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success"
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v2/companies/{nationalIn}/tags": {
      "get": {
        "tags": [
          "Tags"
        ],
        "summary": "Get Tags from company",
        "description": "Returns list of tags for a specific company.",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "Unique Id of the company",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Unique Id of the company",
              "nullable": true
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.CompanyTagDto"
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v3/companies/{nationalIn}/bank-accounts": {
      "get": {
        "tags": [
          "Obsolete"
        ],
        "summary": "Bank Accounts (nationalIn)",
        "description": "Dataset description:\n\nBank accounts are useful as identifiers (unique across companies) and at the same time a bank account at a certain financial institution signals the focus of the company on international trade.\nFinancial institutions among our clients can build useful segmentations with transition timeline between the banks.\n\nAvailability:\n\ncz, sk\n\nDataset updates:\n\nDataset is updated on a weekly to monthly basis\n\nSelected use cases:\n\n- validate your banking data or use your transaction data to match customers to our data\n- monitor VAT payer status using bank accounts published in VAT registries\n- segment companies using multiple banks and/or competing banks\n- segment companies likely engaging into export/import activities using established foreign/global banks\n\n\nEndpoint variables description:\n\n| Item commercial name             | Path                                | Item description                                                     | Example                     | Always populated? |\n|----------------------------------|-------------------------------------|----------------------------------------------------------------------|-----------------------------|-------------------|\n| Entity unique ID                 | data/ company/ uniqueId             | unique company ID (to match with   other datatsets)                  | cz-company-14615100         | Inherited         |\n| Bank account in local format     | data/ bankAccounts/ accountNumber   | account number in local country format                               | 1152220360277/0100          | No                |\n| Bank account identification date | data/ bankAccounts/ validFrom       | first date on which the account has been identified                  | 2018-03-05                  | Inherited         |\n| Bank account last valid date     | data/ bankAccounts/ validTo         | date when the bank account was cancelled                             | 2019-03-05                  | No                |\n| Bank account in IBAN format      | data/ bankAccounts/ iban            |                                                                      | CZ8901000001152220360277    | No                |\n| Local bank identification code   | data/ bankAccounts/ bank/ code      | Enumeration bank identification code for api/ v3/ companies/   banks | 0100                        | Inherited         |\n| Bank name                        | data/ bankAccounts/ bank/ name      | local bank name                                                      | Komerční banka              | No                |\n| Bank logo                        | data/ bankAccounts/ bank/ icon/ url |                                                                      | https://www.test.cz/img.jpg | No                |\n| Source of bank account (code)    | data/ bankAccounts/ sources/ code   | Source enum code for /api/v3/Sources                                 | cz-adis                     | Inherited         |\n| Source of bank account (name)    | data/ bankAccounts/ sources/ name   | on which source has the account been identified                      | Registr plátců DPH          | No                |",
        "parameters": [
          {
            "name": "nationalIn",
            "in": "path",
            "description": "NationalIn identifier as a string.",
            "required": true,
            "schema": {
              "type": "string",
              "description": "NationalIn identifier as a string."
            }
          },
          {
            "name": "dataset",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v3.BankAccounts.GetCompanyBankAccountDataDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataMetaDto"
                }
              },
              "text/csv": {
                "schema": {
                  "$ref": "#/components/schemas/BizMachine.Prospector.Api.DataStructures.Dtos.Companies.v3.BankAccounts.GetCompanyBankAccountDataDtoBizMachine.Prospector.Api.DataStructures.Dtos.GenericDtos.DataMetaDto"
                }
              }
            }
          }
        },
        "security": [
          {
            "ApiKey": [ ]
          }
        ]
      }
    },
    "/{dataset}/v3/companies/bank-accounts": {
      "get": {
        "tags": [
          "Obsolete"
        ],
        "summary": "Bank Accounts",
[...]
